commit:     3fe58ecd995db0c53fbcc56c124966a9363126f9
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Wed May 11 18:54:49 2016 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Wed May 11 18:54:49 2016 +0000
URL:        https://gitweb.gentoo.org/proj/mysql.git/commit/?id=3fe58ecd

mysql-multilib-r1.eclass:  Remove private header and don't install tests wrt 
bug 582738

 eclass/mysql-multilib-r1.eclass | 21 +++++++++++++++------
 1 file changed, 15 insertions(+), 6 deletions(-)

diff --git a/eclass/mysql-multilib-r1.eclass b/eclass/mysql-multilib-r1.eclass
index b18ebd0..40ef8f5 100644
--- a/eclass/mysql-multilib-r1.eclass
+++ b/eclass/mysql-multilib-r1.eclass
@@ -384,7 +384,6 @@ multilib_src_configure() {
                -DINSTALL_MANDIR=share/man
                -DINSTALL_MYSQLDATADIR=${EPREFIX}/var/lib/mysql
                -DINSTALL_MYSQLSHAREDIR=share/mysql
-               -DINSTALL_MYSQLTESTDIR=share/mysql/mysql-test
                -DINSTALL_PLUGINDIR=$(get_libdir)/mysql/plugin
                -DINSTALL_SBINDIR=sbin
                -DINSTALL_SCRIPTDIR=share/mysql/scripts
@@ -404,6 +403,12 @@ multilib_src_configure() {
                -DENABLE_STATIC_LIBS=$(usex static-libs)
        )
 
+       if use test ; then
+               mycmakeargs+=( -DINSTALL_MYSQLTESTDIR=share/mysql/mysql-test )
+       else
+               mycmakeargs+=( -DINSTALL_MYSQLTESTDIR='' )
+       fi
+
        if in_iuse systemd ; then
                mycmakeargs+=( -DWITH_SYSTEMD=$(usex systemd) )
        fi
@@ -537,11 +542,16 @@ mysql-multilib-r1_src_install() {
 multilib_src_install() {
        debug-print-function ${FUNCNAME} "$@"
 
-       if multilib_is_native_abi; then
-               # Make sure the vars are correctly initialized
-               mysql_init_vars
+       cmake-utils_src_install
+       # Make sure the vars are correctly initialized
+       mysql_init_vars
+
+       # Remove an unnecessary, private config header which will never match 
between ABIs and is not meant to be used
+       if [[ -f "${D}${MY_INCLUDEDIR}/private/config.h" ]] ; then
+               rm "${D}${MY_INCLUDEDIR}/private/config.h" || die
+       fi
 
-               cmake-utils_src_install
+       if multilib_is_native_abi; then
 
                # Convenience links
                einfo "Making Convenience links for mysqlcheck multi-call 
binary"
@@ -627,7 +637,6 @@ multilib_src_install() {
                        fi
                done
        else
-               cmake-utils_src_install
                if [[ "${PN}" == "mariadb" ]] && use server ; then
                        insinto /usr/include/mysql/private
                        doins "${S}"/sql/*.h

Reply via email to